aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.12-x86_64
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2017-05-03 09:54:56 +0300
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-05-04 17:37:00 +0000
commit7937eb2d9e19bef89f49db2d510b033f6281af5b (patch)
treed0324f68da10de7f731c342051818dc4b21117e5 /coin/provisioning/qtci-macos-10.12-x86_64
parent933688fc39b21fae8f201fed29ab46cf8ce5ded9 (diff)
Provisioning: disable screensaver password
Previously provisioning disabled screensaver on startup but didn't affect current session. Thus the screensaver hits the VMs while provisioning and without this commit the screen gets locked. This prevents the lock and we get to the desktop on the VMs. Change-Id: Icd783127e898ece6bebb5598ab86f12d5062eeb5 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-macos-10.12-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh b/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
index 48430389..4577709f 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/005-systemsetup.sh
@@ -46,6 +46,7 @@ ExceptionSetInitialDelay=101
ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
+ExceptionDisableScreensaverPassword=105
try
(
@@ -78,6 +79,8 @@ try
EOT
) || throw $ExceptionDisableScreensaver
+ defaults write com.apple.screensaver askForPassword -int 0 || throw $ExceptionDisableScreensaverPassword
+
echo "Set keyboard type rates and delays"
# normal minimum is 15 (225 ms)
defaults write -g InitialKeyRepeat -int 15 || throw $ExceptionSetInitialDelay
@@ -113,5 +116,9 @@ catch || {
echo "Failed to set NTS."
exit 1;
;;
+ $ExceptionDisableScreensaverPassword)
+ echo "Failed to disable requiring of password after screensaver is enabled."
+ exit 1;
+ ;;
esac
}